Package com.logicaldoc.core.document

# Class AbstractDocumentHistory

java.lang.Object
com.logicaldoc.core.PersistentObject
com.logicaldoc.core.history.History
com.logicaldoc.core.document.AbstractDocumentHistory

All Implemented Interfaces:
  `Serializable`, `Comparable<History>`

Direct Known Subclasses:
  `DocumentHistory`, `FolderHistory`

@MappedSuperclass public abstract class AbstractDocumentHistory extends History
A superclass for those histories tightly related to documents

Since:
  9.2
Author:
  Giuseppe Desiato - LogicalDOC
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class com.logicaldoc.core.PersistentObject

`DELETED_CODE_DEFAULT, DELETED_CODE_STRONG, id`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`Long`
`getDocId()`
`AbstractDocument`
`getDocument()`
`String`
`getFilename()`
`String`
`getFilenameOld()`
`Long`
`getFileSize()`
`String`
`getFileVersion()`
`Folder`
`getFolder()`
`Long`
`getFolderId()`
`String`
`getPathOld()`
`String`
`getReason()`
`String`
`getRevision()`
`String`
`getVersion()`
`int`
`hashCode()`
`void`
`setDocId(Long docId)`
`void`
`setDocument(AbstractDocument document)`
`void`
`setFilename(String filename)`
`void`
`setFilenameOld(String filenameOld)`
`void`
`setFileSize(Long fileSize)`
`void`
`setFileVersion(String fileVersion)`
`void`
`setFolder(Folder folder)`
`void`
`setFolderId(Long folderId)`
`void`
`setPathOld(String pathOld)`
`void`
`setReason(String reason)`
`void`
`setRevision(String revision)`
`void`
`setVersion(String version)`

### Methods inherited from class com.logicaldoc.core.history.History

`compareTo, eventTables, getComment, getDate, getDevice, getEvent, getFile, getGeolocation, getImpersonator, getIp, getKeyLabel, getOverwrite, getPath, getSessionId, getTenant, getUser, getUserId, getUserLogin, getUsername, isNotified, isNotifyEvent, setClient, setComment, setDate, setDevice, setEvent, setFile, setGeolocation, setImpersonator, setIp, setKeyLabel, setNotified, setNotifyEvent, setOverwrite, setPath, setSession, setSessionId, setTenant, setUser, setUserId, setUserLogin, setUsername, toString`

### Methods inherited from class com.logicaldoc.core.PersistentObject

`getCreation, getDeleted, getId, getLastModified, getRecordVersion, getTenantId, setCreation, setDeleted, setId, setLastModified, setRecordVersion, setTenantId`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### getDocId

public Long getDocId()

### setDocId

public void setDocId(Long docId)

### getFolderId

public Long getFolderId()

### setFolderId

public void setFolderId(Long folderId)

### getFileSize

public Long getFileSize()

### setFileSize

public void setFileSize(Long fileSize)

### getFilename

public String getFilename()

### setFilename

public void setFilename(String filename)

### getReason

public String getReason()

### setReason

public void setReason(String reason)

### getDocument

public AbstractDocument getDocument()

### getFolder

public Folder getFolder()

### setFolder

public void setFolder(Folder folder)

### getVersion

public String getVersion()

### setVersion

public void setVersion(String version)

### getFileVersion

public String getFileVersion()

### setFileVersion

public void setFileVersion(String fileVersion)

### getPathOld

public String getPathOld()

### setPathOld

public void setPathOld(String pathOld)

### getFilenameOld

public String getFilenameOld()

### setFilenameOld

public void setFilenameOld(String filenameOld)

### getRevision

public String getRevision()

### setRevision

public void setRevision(String revision)

### setDocument

public void setDocument(AbstractDocument document)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `History`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `History`